<div class="col-md-12">
  {{#let (file-queue name="files" onFileAdded=this.uploadFile) as |queue|}}
    <FileDropzone class="file-dropzone" @queue={{queue}} as |dropzone|>
      <div class="{{if dropzone.active "background: #fff"}}">
      <Icon::Download @width=50 @height=43 />
      {{#if dropzone.active}}
        Drop to upload
      {{else if queue.files.length}}
        Uploading ... ({{queue.progress}}%)
      {{else if dropzone.supported}}
        Drag and drop firmware file here to upload
      {{/if}}
      </div>
    </FileDropzone>
  {{/let}}

  {{#if this.uploaded}}
    <BsModal @onSubmit={{this.upgrade}} @open={{this.modalIsOpen}} @closeButton={{false}} @backdropClose={{false}} as |Modal|>
      <Modal.header>
        <h4 class="modal-title"><i class="glyphicon glyphicon-alert"></i> File Upload Successful</h4>
      </Modal.header>
      <Modal.body>
        {{#if this.errorCode}}
          Error: {{this.errorCode}}
        {{else}}
          Are you sure you want to install the uploaded firmware?
        {{/if}}
      </Modal.body>
      <Modal.footer as |footer|>
        <BsButton @onClick={{action Modal.close}} @type="Light">Cancel</BsButton>
        <BsButton @onClick={{action Modal.submit}} @type="primary">Install</BsButton>
      </Modal.footer>
    </BsModal>
  {{/if}}
</div>